#include "LED.cpp"
#include <BLEUtils.h>

class BluetoothLEDCallback : public BLECharacteristicCallbacks {
	LED *_led;
	void onWrite(BLECharacteristic *characteristic) {
		std::string value = characteristic->getValue();
		if (value.length() > 0) {
			Serial.println(value.c_str());
			if (value == "on")
				_led->on();
			else
				_led->off();
		}
	}

	public:

	BluetoothLEDCallback(LED* led){
		_led = led;
	}

};
